import { deepClone } from '/@/utils/other';
import { useNode, useVueFlow } from '@vue-flow/core';
const { removeNodes, nodes, addNodes } = useVueFlow();

export const useNodeOpt = (node:any) => {

	function handleClickDuplicateBtn() {
		const { type, position, data } = node.node;
		const newNode = {
			id: (nodes.value.length + 1).toString(),
			type,
			position: {
				x: position.x + 100,
				y: position.y + 100,
			},
			data: deepClone(data),
		};
		addNodes(newNode);
	}
	const clickDeleteBtn = () => {
		removeNodes(node.id);
	};

	return {
		handleClickDuplicateBtn,
		clickDeleteBtn,
	};
};
